﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Diagram;
namespace TextNodeSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            propertyEditor1.Diagram = this.diagram1;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Syncfusion.Windows.Forms.Diagram.Rectangle rect = new Syncfusion.Windows.Forms.Diagram.Rectangle(200, 200, 100, 100);
            TextNode textnode = new TextNode("HI WELCOME",new RectangleF(100,100,100,50));
            //textnode.ReadOnly = true;
            textnode.FontStyle.Size = 12;
            textnode.FontStyle.Family = "Times New Roman";
            diagram1.Model.AppendChild(textnode);
            diagram1.Model.AppendChild(rect);
            diagram1.View.SelectionList.Clear();
            diagram1.EventSink.NodeDoubleClick += EventSink_NodeDoubleClick;
            
           
        }


        void EventSink_NodeDoubleClick(NodeMouseEventArgs evtArgs)
        {
            //tempnode = evtArgs.Node as Node;
            //button.Text = "OK";
            //button.Size=new System.Drawing.Size(100,20);
            //text.Multiline = true;
            //text.Size = new Size(270, 150);
            //if (!form2.Controls.Contains(text))
            //    form2.Controls.Add(text);
            //if (!form2.Controls.Contains(button))
            //    form2.Controls.Add(button);
            //form2.Location = new Point((int)diagram1.Controller.MouseLocation.X, (int)diagram1.Controller.MouseLocation.Y);
            //text.Location = new Point(0, 0);
            //button.Location = new Point(100, 160);
            //button.Click += button_Click;
            //form2.Show();
        }


        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            diagram1.View.ZoomIn();
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            diagram1.View.ZoomOut();
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            string strMagValue = this.comboBox1.Text;
            int idxPctSign = strMagValue.IndexOf('%');
            if (idxPctSign >= 0)
            {
                strMagValue = strMagValue.Remove(idxPctSign, 1);
            }
            int magVal = Convert.ToInt32(strMagValue);
            this.diagram1.View.Magnification = magVal;
        }
    }
}
